# $Id: bigbrother-externals.spec 326 2005-12-12 06:48:08Z rpmbuild $

%define bbver 19c
%define BBHOME %([ $BBHOME ] && echo $BBHOME || echo "/opt/bb" )
%define BBUSER %([ $BBUSER ] && echo $BBUSER || echo "bb" )
%define BBFQDN %([ $BBFQDN ] && echo $BBFDQN || echo "TRUE" )
%define BBDISPLAY %([ $BBDISPLAY ] && echo $BBDISPLAY || echo "www.localhost" )
%define BBPAGER %([ $BBPAGER ] && echo $BBPAGER || echo "pager.localhost" )
%define DEFAULTPAGE %([ $DEFAULTPAGE ] && echo $DEFAULTPAGE || echo "root@localhost" )
%define BBWEB %([ $BBWEB ] && echo $BBWEB || echo "/bb" )
%define CGIBIN %([ $CGIBIN ] && echo $CGIBIN || echo "/var/www/cgi-bin" )
%define CGIBINURL %([ $CGIBINURL ] && echo $CGIBINURL || echo "/cgi-bin" )
%define WEBROOT %([ $WEBROOT ] && echo $WEBROOT || echo "/var/www/html" )
%define HTTPUSER %([ $HTTPUSER ] && echo $HTTPUSER || echo "apache" )

%define bbmemver 3.1
%define bbntpver 1_5
%define bbxsnmpver 1.77


Summary: Additional external programs for a Big Brother host
Name: bigbrother-externals
Version: 1.9c
Release: %RErelease 5
Epoch: 0
License: Various
Group: System Environment/Daemons
URL: http://www.deadcat.net/
Source0: http://www.deadcat.net/13/bb-memory-%{bbmemver}.tar.gz
Source1: http://www.deadcat.net/1/bb-ntp-%{bbntpver}.sh.gz
Source2: ntptrace
Source3: http://www.deadcat.net/1/bb-xsnmp-%{bbxsnmpver}.tar.gz
Source4: bbsys.local.ntp.patch
Source5: bb-xsnmp-1.77.patch1.txt
Patch0: bb-xsnmp-1.77.2-patch
Patch5: bb-xsnmp-1.77.patch1
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}
Requires: bash, grep, sed, gawk
Requires: coreutils, procps, findutils, iputils
Requires: bigbrother = %{version}
BuildArch: noarch

%description
These are additional external programs from http://www.deadcat.net/

%package bbxsnmp
Summary: Use SNMP to gather information into Big Brother
Group: System Environment/Daemons
Requires: bigbrother, perl, perl-Net-SNMP
#Requires: perl-Digest-SHA1, perl-Digest-HMAC, perl-Crypt-DES
BuildArch: noarch

%description bbxsnmp
Use SNMP to gather information on bgp, port duplex and speed, cpu, fans,
temperature, load balancing, and power supplies from APC, Cisco, Foundry,
NetApp, and NetScreen devices. Compatible with butter-1.0.6.

%prep
%setup -q -c
%{__cp} -p %{SOURCE1} bb-ntp.sh.gz
%{__gzip} -d bb-ntp.sh.gz
%setup -q -n %{name}-%{version} -T -D -a 3
%patch -P 0
%{__cp} -p %{SOURCE4} .

%build
 
%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%{__install} -m 0755 -D -p bb-memory-%{bbmemver}/bb-memory.sh ${RPM_BUILD_ROOT}%{BBHOME}/ext/bb-memory.sh
%{__install} -m 0755 -p bb-ntp.sh ${RPM_BUILD_ROOT}%{BBHOME}/ext/bb-ntp.sh
#%{__install} -m 0755 -D -p %{SOURCE2} ${RPM_BUILD_ROOT}/usr/local/sbin/ntptrace
%{__install} -m 0644 -D -p bb-xsnmp-%{bbxsnmpver}/bb-xsnmptab.DIST \
 ${RPM_BUILD_ROOT}%{BBHOME}/etc/bb-xsnmptab.DIST
# Change #!perl line and install file:
%{__sed} -e 's:/usr/local/bin/perl:%{__perl}:' \
 bb-xsnmp-%{bbxsnmpver}/bb-xsnmp.pl > ${RPM_BUILD_ROOT}%{BBHOME}/ext/bb-xsnmp.pl
touch -r bb-xsnmp-%{bbxsnmpver}/bb-xsnmp.pl \
 ${RPM_BUILD_ROOT}%{BBHOME}/ext/bb-xsnmp.pl
%{__chmod} 0755 ${RPM_BUILD_ROOT}%{BBHOME}/ext/bb-xsnmp.pl
#

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
 
%post
cd %{BBHOME}/etc/
%{__patch} bbsys.local /usr/share/doc/%{name}-%{version}/bbsys.local.ntp.patch

%preun
cd %{BBHOME}/etc/
%{__patch} -R bbsys.local /usr/share/doc/%{name}-%{version}/bbsys.local.ntp.patch
 
%files
%defattr(-,root,root)
%doc bb-memory-%{bbmemver}/README bb-memory-%{bbmemver}/Changes
%doc bb-memory-%{bbmemver}/LICENSE.BEN bb-memory-%{bbmemver}/INSTALL.UNIX
%doc bb-memory-%{bbmemver}/memory.html bbsys.local.ntp.patch
%{BBHOME}/ext/bb-memory.sh
%{BBHOME}/ext/bb-ntp.sh
#/usr/local/sbin/ntptrace

%files bbxsnmp
%defattr(-,root,root)
%doc bb-xsnmp-%{bbxsnmpver}/CHANGES bb-xsnmp-%{bbxsnmpver}/COMPATIBLITY
%doc bb-xsnmp-%{bbxsnmpver}/README
%{BBHOME}/etc/bb-xsnmptab.DIST
%{BBHOME}/ext/bb-xsnmp.pl

%changelog
* Sun Dec 11 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.9c-5
- Rebuilt in new build system.

* Mon Jul 05 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.9c-4
- Added patch for bb-xsnmp.pl to fix APC UPS reporting.

* Mon Jul 05 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.9c-3
- Dropped ntptrace since it is included with the ntp rpm.
- Made packages rely on the same version of the base bigbrother package.

* Sun Jun 26 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.9c-2
- Updated bb-ntp and bb-memory versions.
- Added bb-xsnmp 1.77.

* Tue Apr 13 2004 RazorsEdge Packaging <rpmpackaging@razorsedge.org>
- First package.

